<?php

namespace App\Models;

class PlaceCategoryField extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'place_category_field';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */


    public function placeFieldOptionMapping()
    {
        return $this->hasMany('App\Models\PlaceCategoryFieldOptionFieldMapping','field_id', 'id')
            ->select("id",  "field_id", "field_option_id",  "order_number", "status")
            ->where('status','=',1)
            ->orderBy('order_number');

    }

}
